### Method

# Atspi Accessible get_role

#### Declaration [src]

    AtspiRole
    atspi_accessible_get_role (
      AtspiAccessible* obj
      GError** error
    )

#### Description [src]

Gets the UI role played by an `AtspiAccessible` object. This role’s name can be obtained via atspi_accessible_get_role_name ().

#### Return value

Type: `AtspiRole`

The `AtspiRole` of an `AtspiAccessible` object.